commit 46384dc73076d945c9222b3f0850a9aa3e694eda
Author: Richard Biener <rguenther@suse.de>
Date:   Mon Oct 26 10:10:46 2020 +0100

    middle-end/97554 - avoid overflow in alloc size compute
    
    This avoids overflow in the allocation size computations in
    sbitmap_vector_alloc when the result exceeds 2GB.
    
    2020-10-26  Richard Biener  <rguenther@suse.de>
    
            PR middle-end/97554
            * sbitmap.c (sbitmap_vector_alloc): Use size_t for byte
            quantities to avoid overflow.
    
    (cherry picked from commit 50f9e1f4d458e36d306b2449c689e45492847f68)

diff --git a/gcc/sbitmap.c b/gcc/sbitmap.c
index 967868ad118..6dacdd0ef6b 100644
--- a/gcc/sbitmap.c
+++ b/gcc/sbitmap.c
@@ -139,7 +139,8 @@ sbitmap_realloc (sbitmap src, unsigned int n_elms)
 sbitmap *
 sbitmap_vector_alloc (unsigned int n_vecs, unsigned int n_elms)
 {
-  unsigned int i, bytes, offset, elm_bytes, size, amt, vector_bytes;
+  unsigned int i, size;
+  size_t amt, bytes, vector_bytes, elm_bytes, offset;
   sbitmap *bitmap_vector;
 
   size = SBITMAP_SET_SIZE (n_elms);

